#!/bin/sh
#### "*******************************************"
#### "              Created By RAED              *"
#### "*        << Edited by  MOHAMED_OS >>       *"
#### "*        ..:: www.tunisia-sat.com ::..     *"
#### "*******************************************"


CAMD_ID=74.2
CAMD_NAME="OSCam_11.668-r798"
CAMD_BIN=oscam

INFOFILE_A=ecm0.info
INFOFILE_B=ecm1.info
INFOFILE_C=ecm2.info
INFOFILE_D=ecm3.info
INFOFILE_E=ecm4.info
INFOFILE_F=ecm5.info
#Expert window
INFOFILE_LINES=11111111111.0000
#Zapp after start
REZAPP=0

########################################

logger $0 $1
echo $0 $1

remove_tmp () {
rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/.oscam /tmp/*share* /tmp/*.pid* /tmp/*sbox* /tmp/oscam.* /tmp/*.oscam
}

case "$1" in
  start)
  remove_tmp
  /usr/bin/oscam -d -c /etc/tuxbox/config/oscam.conf &
  ;;
  stop)
  killall -9 oscam 2>/dev/null
  sleep 2
  remove_tmp
  ;;
  *)
  $0 stop
  exit 0
  ;;
esac

exit 0
